> For the complete documentation index, see [llms.txt](https://docs.e6data.com/query-engine/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.e6data.com/query-engine/developers/bi-tool-recipes/superset.md).

# Superset

Connect Apache Superset to an e6data cluster using the e6data Python package and a SQLAlchemy URI.

Apache Superset is a web-based application for exploring and visualizing data. Connect it to an e6data cluster using the [e6data Python connector](/query-engine/developers/connecting-to-the-engine/python-connector.md) and a SQLAlchemy URI.

## Requirements

* The latest [e6data Python package](/query-engine/developers/connecting-to-the-engine/python-connector.md).
* The latest version of Apache Superset.
* The connection details from the cluster's **Connection Information** tab.

The SQLAlchemy URI for a **Direct** endpoint:

```
e6data://<user_name>:<token>@<host>:80/?schema=<database_name>&catalog=<catalog_name>
```

For a **TLS** endpoint:

```
e6data://<user_name>:<token>@<host>:443/?cluster-uuid=<cluster_uuid>&secure=true&schema=<DATABASE_NAME>&catalog=<CATALOG_NAME>
```

The token is a [personal access token](/query-engine/guides/security/access-tokens/pat-and-service-account-keys.md).

## Connect

1. In Superset, go to **Settings → Database Connections**.
2. Click **+ Database** and choose **Other** from the supported databases.
3. In the **SQLAlchemy URI** field, enter the URI above, replacing the placeholders with your credentials.
4. Click **Test Connection**.
5. After a successful test, click **Connect**.

## TLS/HTTPS

e6data uses globally trusted certificates, so the host and port from the connection dialog are sufficient. Any cluster requiring authentication also requires TLS/HTTPS - use the cluster's HTTPS URL (only required for TLS connectivity endpoints).

## See also

* [Python connector](/query-engine/developers/connecting-to-the-engine/python-connector.md)
* [Endpoints and cluster ingress](broken://pages/Wh4d9jql2OPH1ux7JE4O)
* [Access tokens](/query-engine/guides/security/access-tokens.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.e6data.com/query-engine/developers/bi-tool-recipes/superset.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
